MediaWiki variable handler Sanitizer.php 跨站脚本攻击(XSS)漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1194850 漏洞类型 跨站脚本
发布时间 2006-05-25 更新时间 2006-05-25
CVE编号 CVE-2006-2611 CNNVD-ID CNNVD-200605-496
漏洞平台 N/A CVSS评分 4.3
|漏洞来源
https://www.securityfocus.com/bid/83899
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200605-496
|漏洞详情
MediaWiki的variablehandler中的includes/Sanitizer.php存在跨站脚本攻击(XSS)漏洞。远程攻击者可以借助可能与|(竖线)字符的使用有关的未明向量,注入任意Javascript。
|受影响的产品
MediaWiki Mediawiki 1.6.5 R14348 MediaWiki Mediawiki 1.6.5
|参考资料

来源:VUPEN
名称:ADV-2006-1926
链接:http://www.frsirt.com/english/advisories/2006/1926
来源:svn.wikimedia.org
链接:http://svn.wikimedia.org/viewvc/mediawiki?view=rev&revision=14349
来源:MISC
链接:http://svn.wikimedia.org/viewvc/mediawiki/trunk/phase3/includes/Sanitizer.php?r1=14349&r2=14348&pathrev=14349
来源:SECUNIA
名称:20189
链接:http://secunia.com/advisories/20189
来源:MLIST
名称:[Wikitech-l]20060523MediaWiki1.6.5JavaScriptExecutionVulnerability#2
链接:http://mail.wikipedia.org/pipermail/wikitech-l/2006-May/035814.html
来源:MISC
链接:http://bugzilla.wikimedia.org/show_bug.cgi?id=6055
来源:MISC
链接:http://nickj.org/MediaWiki
来源:MLIST
名称:[Wikitech-l]20060523MediaWiki1.6.5JavaScriptExecutionVulnerability#2
链接:http://mail.wikipedia.org/pipermail/wikitech-l/2006-May/035812.html
来源:XF
名称:mediawiki-unspecified-handler-xss(26646)
链接:http://xforce.iss.net/xforce/xfdb/26646
来源:OSVDB
名称:25713
链接:http://www.osvdb.org/25713